{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block content %}

<head>
    <link rel="stylesheet" type="text/css" href="{% static 'css/grid-style.css' %}">
</head>
<form class="from-horizontal" method="post" enctype="multipart/form-data">
    {% csrf_token %}
    <section class="content-header col-content">
        <div class="row">
            <div class="col-xs-6 col-sm-6 col-md-6 col-customer">
                <h1>Tax Slab</h1>
                <p class="creatBtn-wrapper">
                    <button type="submit"><a href="{% url 'create_tax_slab' %}">Create</a></button>

                    <button type="submit"><a href="#">Import</a></button>

                    <!--<button type="submit" name="export" class="export">Export</button>-->
                </p>
            </div>

            <div class="col-xs-6 col-sm-6 col-md-6">
                <div class="search-container text-right">
                    <form class="search-form">
                        <input type="text" placeholder="Search.." name="search">
                        <button type="submit"><i class="fa fa-search"></i></button>
                    </form>


                    <!--<div class="page-item grid-style-view">-->
                    <!--<a class="page-number" href="#">-->
                    <!--<i class="fa fa-th-large" aria-hidden="true"></i>-->
                    <!--</a>-->
                    <!--</div>-->

                    <!--<div class="page-item list-style-view">-->
                    <!--<a class="page-number" href="#">-->
                    <!--<i class="fa fa-list" aria-hidden="true"></i>-->
                    <!--</a>-->
                    <!--</div>-->

                    <div class="row">
                        <div class="col-md-12">
                            {% if data_list.has_other_pages %}
                            <ul class="pagination col-pagination pg-blue pull-right">

                                {% if data_list.has_previous %}
                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.previous_page_number }}" aria-label="Previous">
                                        &laquo;
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item disabled">
                                    <a class="page-link" href="">
                                        <span>&laquo;</span>
                                    </a>
                                </li>
                                {% endif %}


                                {% for i in data_list.paginator.page_range %}
                                {% if data_list.number == i %}
                                <li class="page-item active">
                                    <a class="page-link" href="#">
                                        {{ i }}
                                    </a>
                                </li>

                                {% else %}
                                <li class="page-item">
                                    <a class="page-link" href="?page={{ i }}">
                                        {{ i }}
                                    </a>
                                </li>

                                {% endif %}
                                {% endfor %}
                                {% if data_list.has_next %}


                                <li class="page-item">
                                    <a class="page-number"
                                       href="?page={{ data_list.next_page_number }}">
                                        &raquo;
                                    </a>
                                </li>


                                {% endif %}
                            </ul>
                        </div>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </section>
    <table class="table table-bordered">
        <thead>
        <tr>
            <!--<th>Brand</th>-->
            <th>Slab Name</th>
            <th>GST Rate</th>
            <th>SGST Rate</th>
            <th>IGST Rate</th>
            <th>CGST Rate</th>
            <th>Other Tax Rate</th>

        </tr>

        </thead>
        <tbody>
        {% for data in data_list %}
        <tr>
            <td>{{data.slab_name}}</td>
            <td>{{data.gst_rate}}</td>
            <td>{{data.sgst_rate}}</td>
            <td>{{data.igst_rate}}</td>
            <td>{{data.cgst_rate}}</td>
            <td>{{data.other_tax_rate}}</td>

        </tr>
        {% endfor %}
        </tbody>
    </table>

    <section>
    </section>
</form>
{% endblock %}
